Skip to main content
GET
List groups
The organization bot token must have the following scopes:
  • permission-group:read
Returns both admin-managed and SCIM-managed permission groups. Use a group’s id to retrieve the group or manage its direct user memberships.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Notion-Version
enum<string>
required

The Admin API version to use for this request.

Available options:
2026-06-01

Path Parameters

space_id
string<uuid>
required

Query Parameters

page_size
integer

Number of groups to return (1–100; default 100).

Required range: 1 <= x <= 100
start_cursor
string

Opaque continuation cursor from a previous page.

Response

object
string
required

Always list

Allowed value: "list"
type
string
required

Always group

Allowed value: "group"
results
object[]
required

The permission groups in the workspace.

Maximum array length: 100
has_more
boolean
required

Whether another page is available.

next_cursor
string | null
required

Cursor for the next page, or null on the last page.